POST api/PatientCheckin/PostPatientCheckin
Request Information
URI Parameters
None.
Body Parameters
PatientCheckinDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| Id | integer |
None. |
|
| PatientCheckinId | integer |
None. |
|
| OnSiteLocationId | integer |
None. |
|
| EntryDateTime | date |
None. |
|
| CompanyName | string |
String length: inclusive between 0 and 50 |
|
| FirstName | string |
String length: inclusive between 0 and 50 |
|
| LastName | string |
String length: inclusive between 0 and 50 |
|
| PhoneNumber | string |
String length: inclusive between 0 and 20 |
|
| CaseNo | integer |
None. |
|
| Status | integer |
None. |
|
| ServiceType | string |
String length: inclusive between 0 and 100 |
|
| ServiceLocationName | string |
String length: inclusive between 0 and 8000 |
|
| ReasonForDelete | string |
String length: inclusive between 0 and 300 |
|
| IsAnylogActive | boolean |
None. |
|
| EccCaseTypeId | integer |
None. |
|
| EmployeeId | string |
String length: inclusive between 0 and 8000 |
|
| CorporationCode | string |
String length: inclusive between 0 and 20 |
|
| EncounterId | integer |
None. |
|
| ActiveUserId | integer |
None. |
|
| ActiveUserFirstName | string |
None. |
|
| ActiveUserLastName | string |
String length: inclusive between 0 and 8000 |
|
| ActiveUserFullName | string |
String length: inclusive between 0 and 8000 |
|
| ValidFlag | boolean |
None. |
|
| DateCreated | date |
None. |
|
| DateUpdated | date |
None. |
|
| UserIDCreated | integer |
None. |
|
| UserIDUpdated | integer |
None. |
|
| CompanyCode | string |
String length: inclusive between 0 and 10 |
|
| IsExcludeDiscount | boolean |
None. |
Request Formats
application/json, text/json
Sample:
{
"Id": 1,
"PatientCheckinId": 1,
"OnSiteLocationId": 2,
"EntryDateTime": "2026-06-20T07:11:21.7170042-07:00",
"CompanyName": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"PhoneNumber": "sample string 7",
"CaseNo": 1,
"Status": 8,
"ServiceType": "sample string 9",
"ServiceLocationName": "sample string 10",
"ReasonForDelete": "sample string 11",
"IsAnylogActive": true,
"EccCaseTypeId": 1,
"EmployeeId": "sample string 13",
"CorporationCode": "sample string 14",
"EncounterId": 1,
"ActiveUserId": 1,
"ActiveUserFirstName": "sample string 15",
"ActiveUserLastName": "sample string 16",
"ActiveUserFullName": "sample string 16 sample string 15",
"ValidFlag": true,
"DateCreated": "2026-06-20T07:11:21.7170042-07:00",
"DateUpdated": "2026-06-20T07:11:21.7170042-07:00",
"UserIDCreated": 20,
"UserIDUpdated": 21,
"CompanyCode": "sample string 22",
"IsExcludeDiscount": true
}
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
AsapResponseOfPatientCheckinDTO| Name | Description | Type | Additional information |
|---|---|---|---|
| isSuccess | boolean |
None. |
|
| message | string |
None. |
|
| jsonObj | PatientCheckinDTO |
None. |
|
| totalCount | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"isSuccess": true,
"message": "sample string 2",
"jsonObj": {
"Id": 1,
"PatientCheckinId": 1,
"OnSiteLocationId": 2,
"EntryDateTime": "2026-06-20T07:11:21.7350843-07:00",
"CompanyName": "sample string 4",
"FirstName": "sample string 5",
"LastName": "sample string 6",
"PhoneNumber": "sample string 7",
"CaseNo": 1,
"Status": 8,
"ServiceType": "sample string 9",
"ServiceLocationName": "sample string 10",
"ReasonForDelete": "sample string 11",
"IsAnylogActive": true,
"EccCaseTypeId": 1,
"EmployeeId": "sample string 13",
"CorporationCode": "sample string 14",
"EncounterId": 1,
"ActiveUserId": 1,
"ActiveUserFirstName": "sample string 15",
"ActiveUserLastName": "sample string 16",
"ActiveUserFullName": "sample string 16 sample string 15",
"ValidFlag": true,
"DateCreated": "2026-06-20T07:11:21.7350843-07:00",
"DateUpdated": "2026-06-20T07:11:21.7350843-07:00",
"UserIDCreated": 20,
"UserIDUpdated": 21,
"CompanyCode": "sample string 22",
"IsExcludeDiscount": true
},
"totalCount": 3
}